> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Group blog topics

> Merge multiple topics by ID into a single topic group.



## OpenAPI

````yaml specs/legacy/v3/blog-topics-v3.json POST /blogs/v3/topics/group-topics
openapi: 3.0.1
info:
  title: HubSpot Blog Topics API v3
  description: >-
    Use the blog topics API to create and manage blog topics in a HubSpot
    account.
  version: v3
  x-hubspot-product-tier: Marketing Hub
  x-hubspot-documentation-banner: Content API
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Topics
    description: Blog topics operations
paths:
  /blogs/v3/topics/group-topics:
    post:
      tags:
        - Blog Topics
      summary: Group blog topics
      description: Merge multiple topics by ID into a single topic group.
      operationId: groupBlogTopics
      parameters:
        - name: casing
          in: query
          description: >-
            Use the casing=snake parameter to change the API's casing for
            allowed JSON fields (below) to snake_case, rather than camelCase,
            which is the default. This option is provided for
            backwards-compatibility and ease of migration from Content v2 APIs,
            which used snake_case.
          schema:
            type: string
            enum:
              - snake
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupTopicsRequest'
            example:
              groupedTopicName: Merged Topic
              topicIds:
                - 123456
                - 789012
                - 345678
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupTopicsResponse'
              example:
                topicIds:
                  - 123456
                  - 789012
                  - 345678
                groupedTopicName: Merged Topic
                portalId: 62515
        default:
          $ref: '#/components/responses/Error'
      security:
        - oauth2_legacy: []
        - private_apps_legacy: []
components:
  schemas:
    GroupTopicsRequest:
      type: object
      required:
        - groupedTopicName
        - topicIds
      properties:
        groupedTopicName:
          type: string
          description: The new name of the combined topics
        topicIds:
          type: array
          items:
            type: integer
            format: int64
          description: The List of topic ids to merge
    GroupTopicsResponse:
      type: object
      properties:
        topicIds:
          type: array
          items:
            type: integer
            format: int64
        groupedTopicName:
          type: string
        portalId:
          type: integer
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
        category:
          type: string
          description: The error category
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
  responses:
    Error:
      description: An error occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2_legacy:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            content: Read from and write to my Content
    private_apps_legacy:
      type: apiKey
      name: private-app-legacy
      in: header

````